package android.mtp;
class MtpStorageInfo {
  int mVolumeIdentifier;
  int mDescription;
  int mFreeSpace;
  int mMaxCapacity;
  int mStorageId;
}
class MtpStorage {
  int mMaxFileSize;
  int mRemovable;
  int mReserveSpace;
  int mDescription;
  int mPath;
  int mStorageId;
}
class MtpServer {
  int mNativeContext;
}
class MtpPropertyList {
  int mStringValues;
  int mLongValues;
  int mDataTypes;
  int mPropertyCodes;
  int mObjectHandles;
  int mResult;
  int mMaxCount;
  int mCount;
}
class MtpPropertyGroup {
  int PARENT_FORMAT_WHERE;
  int PARENT_WHERE;
  int ID_FORMAT_WHERE;
  int FORMAT_WHERE;
  int ID_WHERE;
  int mColumns;
  int mProperties;
  int mUri;
  int mVolumeName;
  int mProvider;
  int mDatabase;
  class Property {
    int column;
    int type;
    int code;
  }
  int TAG;
}
class MtpObjectInfo {
  int mKeywords;
  int mDateModified;
  int mDateCreated;
  int mName;
  int mSequenceNumber;
  int mAssociationDesc;
  int mAssociationType;
  int mParent;
  int mImagePixDepth;
  int mImagePixHeight;
  int mImagePixWidth;
  int mThumbPixHeight;
  int mThumbPixWidth;
  int mThumbCompressedSize;
  int mThumbFormat;
  int mCompressedSize;
  int mProtectionStatus;
  int mFormat;
  int mStorageId;
  int mHandle;
}
class MtpDeviceInfo {
  int mSerialNumber;
  int mVersion;
  int mModel;
  int mManufacturer;
}
class MtpDevice {
  int mNativeContext;
  int mDevice;
  int TAG;
}
class MtpDatabase {
  int mNativeContext;
  int ALL_PROPERTIES;
  int IMAGE_PROPERTIES;
  int VIDEO_PROPERTIES;
  int AUDIO_PROPERTIES;
  int FILE_PROPERTIES;
  int mMediaScanner;
  int STORAGE_FORMAT_PARENT_WHERE;
  int FORMAT_PARENT_WHERE;
  int STORAGE_PARENT_WHERE;
  int STORAGE_FORMAT_WHERE;
  int PARENT_WHERE;
  int FORMAT_WHERE;
  int STORAGE_WHERE;
  int PATH_WHERE;
  int ID_WHERE;
  int OBJECT_INFO_PROJECTION;
  int PATH_SIZE_FORMAT_PROJECTION;
  int PATH_PROJECTION;
  int ID_PROJECTION;
  int DEVICE_PROPERTIES_DATABASE_VERSION;
  int mDeviceProperties;
  int mDatabaseModified;
  int mPropertyGroupsByFormat;
  int mPropertyGroupsByProperty;
  int mStorageMap;
  int mSubDirectoriesWhereArgs;
  int mSubDirectoriesWhere;
  int mSubDirectories;
  int mMediaStoragePath;
  int mObjectsUri;
  int mVolumeName;
  int mMediaProvider;
  int mContext;
  int TAG;
}
class MtpConstants {
  int ASSOCIATION_TYPE_GENERIC_FOLDER;
  int PROTECTION_STATUS_NON_TRANSFERABLE_DATA;
  int PROTECTION_STATUS_READ_ONLY_DATA;
  int PROTECTION_STATUS_READ_ONLY;
  int PROTECTION_STATUS_NONE;
  int DEVICE_PROPERTY_PERCEIVED_DEVICE_TYPE;
  int DEVICE_PROPERTY_SESSION_INITIATOR_VERSION_INFO;
  int DEVICE_PROPERTY_PLAYBACK_CONTAINER_INDEX;
  int DEVICE_PROPERTY_PLAYBACK_OBJECT;
  int DEVICE_PROPERTY_PLAYBACK_RATE;
  int DEVICE_PROPERTY_DEVICE_ICON;
  int DEVICE_PROPERTY_SUPPORTED_FORMATS_ORDERED;
  int DEVICE_PROPERTY_VOLUME;
  int DEVICE_PROPERTY_DEVICE_FRIENDLY_NAME;
  int DEVICE_PROPERTY_SYNCHRONIZATION_PARTNER;
  int DEVICE_PROPERTY_COPYRIGHT_INFO;
  int DEVICE_PROPERTY_ARTIST;
  int DEVICE_PROPERTY_UPLOAD_URL;
  int DEVICE_PROPERTY_FOCUS_METERING_MODE;
  int DEVICE_PROPERTY_TIMELAPSE_INTERVAL;
  int DEVICE_PROPERTY_TIMELAPSE_NUMBER;
  int DEVICE_PROPERTY_BURST_INTERVAL;
  int DEVICE_PROPERTY_BURST_NUMBER;
  int DEVICE_PROPERTY_EFFECT_MODE;
  int DEVICE_PROPERTY_DIGITAL_ZOOM;
  int DEVICE_PROPERTY_SHARPNESS;
  int DEVICE_PROPERTY_CONTRAST;
  int DEVICE_PROPERTY_STILL_CAPTURE_MODE;
  int DEVICE_PROPERTY_CAPTURE_DELAY;
  int DEVICE_PROPERTY_DATETIME;
  int DEVICE_PROPERTY_EXPOSURE_BIAS_COMPENSATION;
  int DEVICE_PROPERTY_EXPOSURE_INDEX;
  int DEVICE_PROPERTY_EXPOSURE_PROGRAM_MODE;
  int DEVICE_PROPERTY_EXPOSURE_TIME;
  int DEVICE_PROPERTY_FLASH_MODE;
  int DEVICE_PROPERTY_EXPOSURE_METERING_MODE;
  int DEVICE_PROPERTY_FOCUS_MODE;
  int DEVICE_PROPERTY_FOCUS_DISTANCE;
  int DEVICE_PROPERTY_FOCAL_LENGTH;
  int DEVICE_PROPERTY_F_NUMBER;
  int DEVICE_PROPERTY_RGB_GAIN;
  int DEVICE_PROPERTY_WHITE_BALANCE;
  int DEVICE_PROPERTY_COMPRESSION_SETTING;
  int DEVICE_PROPERTY_IMAGE_SIZE;
  int DEVICE_PROPERTY_FUNCTIONAL_MODE;
  int DEVICE_PROPERTY_BATTERY_LEVEL;
  int DEVICE_PROPERTY_UNDEFINED;
  int PROPERTY_DISPLAY_NAME;
  int PROPERTY_ENCODING_PROFILE;
  int PROPERTY_ENCODING_QUALITY;
  int PROPERTY_BUFFER_SIZE;
  int PROPERTY_KEYFRAME_DISTANCE;
  int PROPERTY_FRAMES_PER_THOUSAND_SECONDS;
  int PROPERTY_VIDEO_BITRATE;
  int PROPERTY_VIDEO_FOURCC_CODEC;
  int PROPERTY_AUDIO_BITRATE;
  int PROPERTY_AUDIO_WAVE_CODEC;
  int PROPERTY_SCAN_TYPE;
  int PROPERTY_AUDIO_BIT_DEPTH;
  int PROPERTY_NUMBER_OF_CHANNELS;
  int PROPERTY_SAMPLE_RATE;
  int PROPERTY_BITRATE_TYPE;
  int PROPERTY_TOTAL_BITRATE;
  int PROPERTY_EXPOSURE_INDEX;
  int PROPERTY_EXPOSURE_TIME;
  int PROPERTY_F_NUMBER;
  int PROPERTY_IMAGE_BIT_DEPTH;
  int PROPERTY_IS_COLOUR_CORRECTED;
  int PROPERTY_IS_CROPPED;
  int PROPERTY_SUB_DESCRIPTION;
  int PROPERTY_DRM_STATUS;
  int PROPERTY_MOOD;
  int PROPERTY_ALBUM_ARTIST;
  int PROPERTY_ALBUM_NAME;
  int PROPERTY_ORIGINAL_RELEASE_DATE;
  int PROPERTY_SUBTITLE;
  int PROPERTY_EFFECTIVE_RATING;
  int PROPERTY_COMPOSER;
  int PROPERTY_META_GENRE;
  int PROPERTY_PARENTAL_RATING;
  int PROPERTY_LAST_ACCESSED;
  int PROPERTY_SKIP_COUNT;
  int PROPERTY_USE_COUNT;
  int PROPERTY_PRODUCED_BY;
  int PROPERTY_SUBSCRIPTION_CONTENT_ID;
  int PROPERTY_LYRICS;
  int PROPERTY_CREDITS;
  int PROPERTY_GENRE;
  int PROPERTY_TRACK;
  int PROPERTY_RATING;
  int PROPERTY_DURATION;
  int PROPERTY_HEIGHT;
  int PROPERTY_WIDTH;
  int PROPERTY_REPRESENTATIVE_SAMPLE_DATA;
  int PROPERTY_REPRESENTATIVE_SAMPLE_DURATION;
  int PROPERTY_REPRESENTATIVE_SAMPLE_WIDTH;
  int PROPERTY_REPRESENTATIVE_SAMPLE_HEIGHT;
  int PROPERTY_REPRESENTATIVE_SAMPLE_SIZE;
  int PROPERTY_REPRESENTATIVE_SAMPLE_FORMAT;
  int PROPERTY_PRODUCER_SERIAL_NUMBER;
  int PROPERTY_CORRUPT_UNPLAYABLE;
  int PROPERTY_NON_CONSUMABLE;
  int PROPERTY_DATE_ADDED;
  int PROPERTY_ORIGIN_LOCATION;
  int PROPERTY_SOURCE;
  int PROPERTY_COPYRIGHT_INFORMATION;
  int PROPERTY_LANGUAGE_LOCALE;
  int PROPERTY_URL_REFERENCE;
  int PROPERTY_DESCRIPTION;
  int PROPERTY_DATE_AUTHORED;
  int PROPERTY_ARTIST;
  int PROPERTY_CREATED_BY;
  int PROPERTY_NAME;
  int PROPERTY_PROPERTY_BAG;
  int PROPERTY_SYNC_ID;
  int PROPERTY_PERSISTENT_UID;
  int PROPERTY_SYSTEM_OBJECT;
  int PROPERTY_HIDDEN;
  int PROPERTY_ALLOWED_FOLDER_CONTENTS;
  int PROPERTY_PARENT_OBJECT;
  int PROPERTY_KEYWORDS;
  int PROPERTY_DATE_MODIFIED;
  int PROPERTY_DATE_CREATED;
  int PROPERTY_OBJECT_FILE_NAME;
  int PROPERTY_ASSOCIATION_DESC;
  int PROPERTY_ASSOCIATION_TYPE;
  int PROPERTY_OBJECT_SIZE;
  int PROPERTY_PROTECTION_STATUS;
  int PROPERTY_OBJECT_FORMAT;
  int PROPERTY_STORAGE_ID;
  int FORMAT_MS_POWERPOINT_PRESENTATION;
  int FORMAT_MS_EXCEL_SPREADSHEET;
  int FORMAT_MS_WORD_DOCUMENT;
  int FORMAT_XML_DOCUMENT;
  int FORMAT_ABSTRACT_DOCUMENT;
  int FORMAT_UNDEFINED_DOCUMENT;
  int FORMAT_PLS_PLAYLIST;
  int FORMAT_ASX_PLAYLIST;
  int FORMAT_MPL_PLAYLIST;
  int FORMAT_M3U_PLAYLIST;
  int FORMAT_WPL_PLAYLIST;
  int FORMAT_ABSTRACT_MEDIACAST;
  int FORMAT_ABSTRACT_VIDEO_PLAYLIST;
  int FORMAT_ABSTRACT_AUDIO_PLAYLIST;
  int FORMAT_ABSTRACT_AV_PLAYLIST;
  int FORMAT_ABSTRACT_VIDEO_ALBUM;
  int FORMAT_ABSTRACT_AUDIO_ALBUM;
  int FORMAT_ABSTRACT_IMAGE_ALBUM;
  int FORMAT_ABSTRACT_MULTIMEDIA_ALBUM;
  int FORMAT_UNDEFINED_COLLECTION;
  int FORMAT_3GP_CONTAINER;
  int FORMAT_MP2;
  int FORMAT_MP4_CONTAINER;
  int FORMAT_WMV;
  int FORMAT_UNDEFINED_VIDEO;
  int FORMAT_FLAC;
  int FORMAT_AUDIBLE;
  int FORMAT_AAC;
  int FORMAT_OGG;
  int FORMAT_WMA;
  int FORMAT_UNDEFINED_AUDIO;
  int FORMAT_WINDOWS_IMAGE_FORMAT;
  int FORMAT_UNDEFINED_FIRMWARE;
  int FORMAT_JPX;
  int FORMAT_JP2;
  int FORMAT_TIFF;
  int FORMAT_PNG;
  int FORMAT_PICT;
  int FORMAT_JFIF;
  int FORMAT_GIF;
  int FORMAT_BMP;
  int FORMAT_TIFF_EP;
  int FORMAT_EXIF_JPEG;
  int FORMAT_ASF;
  int FORMAT_MPEG;
  int FORMAT_AVI;
  int FORMAT_MP3;
  int FORMAT_WAV;
  int FORMAT_AIFF;
  int FORMAT_DPOF;
  int FORMAT_HTML;
  int FORMAT_TEXT;
  int FORMAT_EXECUTABLE;
  int FORMAT_SCRIPT;
  int FORMAT_ASSOCIATION;
  int FORMAT_UNDEFINED;
  int RESPONSE_OBJECT_PROP_NOT_SUPPORTED;
  int RESPONSE_OBJECT_TOO_LARGE;
  int RESPONSE_SPECIFICATION_BY_DEPTH_UNSUPPORTED;
  int RESPONSE_SPECIFICATION_BY_GROUP_UNSUPPORTED;
  int RESPONSE_INVALID_DATASET;
  int RESPONSE_GROUP_NOT_SUPPORTED;
  int RESPONSE_INVALID_OBJECT_REFERENCE;
  int RESPONSE_INVALID_OBJECT_PROP_VALUE;
  int RESPONSE_INVALID_OBJECT_PROP_FORMAT;
  int RESPONSE_INVALID_OBJECT_PROP_CODE;
  int RESPONSE_SPECIFICATION_OF_DESTINATION_UNSUPPORTED;
  int RESPONSE_TRANSACTION_CANCELLED;
  int RESPONSE_SESSION_ALREADY_OPEN;
  int RESPONSE_INVALID_PARAMETER;
  int RESPONSE_INVALID_DEVICE_PROP_VALUE;
  int RESPONSE_INVALID_DEVICE_PROP_FORMAT;
  int RESPONSE_INVALID_PARENT_OBJECT;
  int RESPONSE_DEVICE_BUSY;
  int RESPONSE_CAPTURE_ALREADY_TERMINATED;
  int RESPONSE_UNKNOWN_VENDOR_CODE;
  int RESPONSE_INVALID_CODE_FORMAT;
  int RESPONSE_NO_VALID_OBJECT_INFO;
  int RESPONSE_SPECIFICATION_BY_FORMAT_UNSUPPORTED;
  int RESPONSE_STORE_NOT_AVAILABLE;
  int RESPONSE_PARTIAL_DELETION;
  int RESPONSE_SELF_TEST_FAILED;
  int RESPONSE_NO_THUMBNAIL_PRESENT;
  int RESPONSE_ACCESS_DENIED;
  int RESPONSE_STORE_READ_ONLY;
  int RESPONSE_OBJECT_WRITE_PROTECTED;
  int RESPONSE_STORAGE_FULL;
  int RESPONSE_INVALID_OBJECT_FORMAT_CODE;
  int RESPONSE_DEVICE_PROP_NOT_SUPPORTED;
  int RESPONSE_INVALID_OBJECT_HANDLE;
  int RESPONSE_INVALID_STORAGE_ID;
  int RESPONSE_INCOMPLETE_TRANSFER;
  int RESPONSE_PARAMETER_NOT_SUPPORTED;
  int RESPONSE_OPERATION_NOT_SUPPORTED;
  int RESPONSE_INVALID_TRANSACTION_ID;
  int RESPONSE_SESSION_NOT_OPEN;
  int RESPONSE_GENERAL_ERROR;
  int RESPONSE_OK;
  int RESPONSE_UNDEFINED;
  int TYPE_STR;
  int TYPE_AUINT128;
  int TYPE_AINT128;
  int TYPE_AUINT64;
  int TYPE_AINT64;
  int TYPE_AUINT32;
  int TYPE_AINT32;
  int TYPE_AUINT16;
  int TYPE_AINT16;
  int TYPE_AUINT8;
  int TYPE_AINT8;
  int TYPE_UINT128;
  int TYPE_INT128;
  int TYPE_UINT64;
  int TYPE_INT64;
  int TYPE_UINT32;
  int TYPE_INT32;
  int TYPE_UINT16;
  int TYPE_INT16;
  int TYPE_UINT8;
  int TYPE_INT8;
  int TYPE_UNDEFINED;
}
